package com.nokia.hb.Pojo;

import java.util.List;

public class TreeNode {

    String title = "";
    String id = "";
    boolean spread=false;
    List<TreeNode> children = null;

    public TreeNode() {
    }

    public TreeNode(String title, String id, List<TreeNode> children) {
        this.title = title;
        this.id = id;
        this.children = children;
    }

    public String getTitle() {
        return title;
    }

    public void setTitle(String title) {
        this.title = title;
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public boolean isSpread() {
        return spread;
    }

    public void setSpread(boolean spread) {
        this.spread = spread;
    }

    public List<TreeNode> getChildren() {
        return children;
    }

    public void setChildren(List<TreeNode> children) {
        this.children = children;
    }

    @Override
    public String toString() {
        return "{" +
                "title:'" + title + '\'' +
                ", id:'" + id + '\'' +
                ", children:" + children +
                '}';
    }
}
